<template>
	<q-carousel
		v-model="slide"
		:vertical="$q.screen.gt.sm"
		:transition-prev="$q.screen.gt.sm ? 'slide-down' : 'slide-right'"
		:transition-next="$q.screen.gt.sm ? 'slide-up' : 'slide-left'"
		swipeable
		animated
		control-color="white"
		navigation-icon="radio_button_unchecked"
		navigation-active-icon="radio_button_checked"
		navigation
		padding
		:height="$q.screen.gt.xs ? '400px' : '250px'"
		class="bg-purple text-white shadow-1 carousel-container"
	>
		<q-carousel-slide
			name="style"
			class="row carousel-content carousel-content-1"
			:class="$q.screen.gt.xs ? 'items-center' : 'items-start'"
		>
			<img
				:draggable="false"
				src="/images/carousel-bg-1.png"
				:height="$q.screen.gt.xs ? '350px' : '200px'"
				:width="$q.screen.gt.xs ? '40%' : '80%'"
			/>
			<div
				class="q-mt-md col-12 col-md-10 title q-ml-xl"
				:class="{ 'text-center': $q.screen.lt.sm }"
			>
				<span
					class="font-monstserrat-regular text-white"
					:class="$q.screen.gt.xs ? 'text-h3' : 'text-h3'"
				>
					Welcome to <pokedex />
				</span>
			</div>
		</q-carousel-slide>
		<q-carousel-slide
			name="tv"
			class="row carousel-content carousel-content-2 justify-center"
		>
			<img
				:draggable="false"
				src="/images/carousel-bg-2.png"
				:height="$q.screen.gt.xs ? '350px' : '200px'"
				:width="$q.screen.gt.xs ? '75%' : '85%'"
			/>
		</q-carousel-slide>

		<q-carousel-slide
			name="map"
			class="row carousel-content carousel-content-3 items-center"
		>
			<img
				:draggable="false"
				src="/images/carousel-bg-3.png"
				:height="$q.screen.gt.xs ? '360px' : '230px'"
				:width="$q.screen.gt.xs ? '30%' : '85%'"
			/>
			<div class="q-mt-md col-12 offset-md-6 col-md-6 title">
				<div
					:class="$q.screen.gt.xs ? 'text-pink-8 text-center' : 'text-white '"
					class="column justify-between text-h4 font-monstserrat-regular"
				>
					<div class="text-left">
						<span class="text-bold text-h2">E</span>XPLORE.
					</div>

					<div class="text-center">
						<span class="text-bold text-h2">D</span>ISCOVER.
					</div>

					<div class="text-right q-mr-xl">
						<span class="text-bold text-h2">L</span>EARN.
					</div>
				</div>
			</div>
		</q-carousel-slide>
	</q-carousel>
</template>

<script>
	import pokedex from "../typography/pokedex.vue";
	export default {
		components: { pokedex },
		data() {
			return {
				slide: "style",
			};
		},
	};
</script>

<style></style>
